---
title: RTCDataChannel.onclosing
slug: Web/API/RTCDataChannel/onclosing
tags:
  - Event Handler
  - Experimental
  - Property
  - RTCDataChannel
  - Reference
  - WebRTC
  - onclosing
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}{{Draft}}</p>

<p>The <code><strong>RTCDataChannel.onclosing</strong></code> property is an {{DOMxRef("EventHandler")}} which specifies a function to be called by the browser when the {{Event("closing")}} event is received by the {{DOMxRef("RTCDataChannel")}}. This is a simple {{DOMxRef("Event")}} which indicates that the data channel is being closed, that is, {{DOMxRef("RTCDataChannel")}} transitions to "closing" state. For example, after {{DOMxRef("RTCDataChannel.close", "RTCDataChannel.close()")}} was called but the underlying data transport might not have been closed yet.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>RTCDataChannel</em>.onclosing = <em>function</em>;</pre>

<h3 id="Value">Value</h3>

<p>A function which the browser will call to handle the <code>closing</code> event. The function receives as its sole input parameter the event itself, as an object of type {{DOMxRef("Event")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcdatachannel-onclosing", "RTCDataChannel.onclosing")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDataChannel.onclosing")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
 <li>{{DOMxRef("RTCDataChannel.onclose")}} event handler and its {{Event("close")}} event.</li>
 <li>{{DOMxRef("RTCDataChannel.onopen")}}</li>
 <li>The {{Event("open")}} event and its type, {{DOMxRef("Event")}}.</li>
</ul>
